using System;
using System.Text.Json.Serialization;
namespace org.accordproject.ciceromark {
   using org.accordproject.commonmark;
   using concerto;
   class Clause : Child {
      [JsonPropertyName("$class")]
      public new string _class { get;} = "org.accordproject.ciceromark.Clause";
      public string clauseid { get; set; }
      public string src { get; set; }
   }
   abstract class VariableValue : Child {
      [JsonPropertyName("$class")]
      public new string _class { get;} = "org.accordproject.ciceromark.VariableValue";
      public string value { get; set; }
   }
   abstract class IdentifiedVariableValue : VariableValue {
      [JsonPropertyName("$class")]
      public new string _class { get;} = "org.accordproject.ciceromark.IdentifiedVariableValue";
      public string id { get; set; }
   }
   class Variable : IdentifiedVariableValue {
      [JsonPropertyName("$class")]
      public new string _class { get;} = "org.accordproject.ciceromark.Variable";
   }
   class ComputedVariable : VariableValue {
      [JsonPropertyName("$class")]
      public new string _class { get;} = "org.accordproject.ciceromark.ComputedVariable";
   }
   class ConditionalVariable : IdentifiedVariableValue {
      [JsonPropertyName("$class")]
      public new string _class { get;} = "org.accordproject.ciceromark.ConditionalVariable";
   }
   class ListVariable : List {
      [JsonPropertyName("$class")]
      public new string _class { get;} = "org.accordproject.ciceromark.ListVariable";
   }
}
